Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts
Class BC4JActionServlet

`java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.struts.action.ActionServlet
oracle.jbo.html.struts.BC4JActionServlet`

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class BC4JActionServlet
extends org.apache.struts.action.ActionServlet

Field Summary
`static java.lang.String` | `BC4JDefAttrName`
`static java.lang.String` | `BC4JWepAppParamName`

Fields inherited from class org.apache.struts.action.ActionServlet
`config, configDigester, convertNull, dataSources, debug, internal, internalName, log, processor, registrations, servletMapping, servletName`

Constructor Summary
`BC4JActionServlet()`

Method Summary
`protected void` | `initialiseBinding(javax.servlet.http.HttpServletRequest request)`
`protected void` | `initializePage(BC4JActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, JUApplicationDefImpl appDef)`
`protected SessionCookie` | `initializePageAm(BC4JActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, JUDataControlDefImpl sessionDef)`
`protected boolean` | `initPageFromPath(BC4JActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected org.apache.struts.action.Action` | `processActionCreate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`protected void` | `processActionForward(org.apache.struts.action.ActionForward forward, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm formInstance, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected boolean` | `processForward(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `processPostForward(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean initialized)`
`protected boolean` | `processPreprocess(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `releasePageResources(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.apache.struts.action.ActionServlet
`addServletMapping, destroy, destroyApplications, destroyConfigDigester, destroyDataSources, destroyInternal, destroyModules, doGet, doPost, findDataSource, findFormBean, findForward, findMapping, getApplicationConfig, getDebug, getInternal, getModuleConfig, getRequestProcessor, getResources, init, initApplicationConfig, initApplicationDataSources, initApplicationMessageResources, initApplicationPlugIns, initConfigDigester, initDataSources, initInternal, initModuleConfig, initModuleDataSources, initModuleMessageResources, initModulePlugIns, initOther, initServlet, log, process`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BC4JDefAttrName

    public static final java.lang.String BC4JDefAttrName

### BC4JWepAppParamName

    public static final java.lang.String BC4JWepAppParamName

Constructor Detail

### BC4JActionServlet

    public BC4JActionServlet()

Method Detail

### processPreprocess

    protected boolean processPreprocess(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws java.io.IOException,
                                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### initialiseBinding

    protected void initialiseBinding(javax.servlet.http.HttpServletRequest request)
                              throws java.io.IOException,
                                     javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processPostForward

    protected void processPostForward(org.apache.struts.action.ActionMapping mapping,
                                      javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response,
                                      boolean initialized)

### processForward

    protected boolean processForward(org.apache.struts.action.ActionMapping mapping,
                                     javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws java.io.IOException,
                                     javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processActionForward

    protected void processActionForward(org.apache.struts.action.ActionForward forward,
                                        org.apache.struts.action.ActionMapping mapping,
                                        org.apache.struts.action.ActionForm formInstance,
                                        javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws java.io.IOException,
                                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### initPageFromPath

    protected boolean initPageFromPath(BC4JActionMapping mapping,
                                       javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)

### initializePage

    protected void initializePage(BC4JActionMapping mapping,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  JUApplicationDefImpl appDef)

### initializePageAm

    protected SessionCookie initializePageAm(BC4JActionMapping mapping,
                                             javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             JUDataControlDefImpl sessionDef)

### releasePageResources

    protected void releasePageResources(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)

### processActionCreate

    protected org.apache.struts.action.Action processActionCreate(org.apache.struts.action.ActionMapping mapping,
                                                                  javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.